### Enumeration

# Gtk FilterChange

#### Declaration

    enum Gtk.FilterChange

#### Description [src]

Describes changes in a filter in more detail and allows objects using the filter to optimize refiltering items.

If you are writing an implementation and are not sure which value to pass, `GTK_FILTER_CHANGE_DIFFERENT` is always a correct choice.

#### Members

`GTK_FILTER_CHANGE_DIFFERENT`

  The filter change cannot be described with any of the other enumeration values.

  - Value: `0`
  - Available since: 4.0
`GTK_FILTER_CHANGE_LESS_STRICT`

  The filter is less strict than it was before: All items that it used to return `TRUE` for still return `TRUE`, others now may, too.

  - Value: `1`
  - Available since: 4.0
`GTK_FILTER_CHANGE_MORE_STRICT`

  The filter is more strict than it was before: All items that it used to return `FALSE` for still return `FALSE`, others now may, too.

  - Value: `2`
  - Available since: 4.0